<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:44:10Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Tested with  DP 40 726    4.1 .50 and 3.3 771 , These version have code per Dan that cause  default the diagnostic file store should fail 20% of the time and the event store 60%   
 
Verified that invalid config warning is not present in Datapro  when  config file store is corrupt , by recording then downloading and event multiple times with Dans patch in the code , also verified the ConfigReadErrors.log file is created in the logs folder .
 
From Logs..
 
DTS.DASLib.Service.SLICE2_Base`1.SLICE2ConfigAttributes.RetrieveXMLConfig(FileStore fileStore, IDASCommunication das) 
 2022-09-21 14:53:12.383 Failed to retrieve xml config - Event on SPS01224. Error: System.Exception: Invalid data    at DTS.DASLib.Service.SLICE2_Base`1.SLICE2ConfigAttributes.RetrieveXMLConfig(FileStore fileStore, IDASCommunication das)</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2022-09-22T15:24:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-21T22:44:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Tested with  DP 40 726    and 3.3 771 , These version have code per Dan that cause  default the diagnostic file store should fail 20% of the time and the event store 60%   
 
Verified that invalid config warning is not present config file store is corrupt , by recording then downloading and event multiple times with Dans patch in the code , also verified the ConfigReadErrors.log file is created in the logs folder which indicates there was a corrupt filestore.
 
From Logs..
 
DTS.DASLib.Service.SLICE2_Base`1.SLICE2ConfigAttributes.RetrieveXMLConfig(FileStore fileStore, IDASCommunication das) 
 2022-09-21 14:53:12.383 Failed to retrieve xml config - Event on SPS01224. Error: System.Exception: Invalid data    at DTS.DASLib.Service.SLICE2_Base`1.SLICE2ConfigAttributes.RetrieveXMLConfig(FileStore fileStore, IDASCommunication das)</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-21T22:34:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-21T21:36:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0 - 4.0.726.47654_DONT_USE has intentional borking
 
725 and 727 and beyond won't
 
3.3 - 3.3.771.47658_DO_NOT_USE has intentional borking,
 
770 and 772 and beyond won't
 
4.1 - 4.1.50.47661 - DO NOT USE - has intentional borking
 
49 and 51 and beyond won't</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-21T21:00:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-21T20:25:13Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-19T16:19:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Tracy Smail</User>
    <Comment>need report from Ethan on ZD ticket</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-16T21:46:30Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Tracy Smail</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-16T21:10:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-06T16:20:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-06T16:19:59Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>3.3/4.0/4.1@47562
 
there's a pdf attached to the spreadsheet which can give some background if needed, but it's long.
 
There's a corruption issue that happens that we have not identified the source of yet.  This patch hides a previous warning dialog we had and creates a new log file in the logs folder for when there's an issue.  This lets the user operate with the software for now with less interruptions, but also gives us the chance to continue tracking down the error without bothering the user as much.
 
in SLICE2.cs I've built in a way to test, all you need to do is run a test or download from a unit many times.  By default the diagnostic file store should fail 20% of the time and the event store 60% of the time.   You should notice anything while running out of place (no warning about invalid config), but check the logs directory for "ConfigReadErrors.log".  It will roll the log file whenever DP rolls files (event completed) or based on file size.
 
for the actual checkins the testing code is removed, I can build test builds with the code in place when SQA is ready.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2022-09-02T23:43:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-02T17:46:43Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>Read from DIAG if EVENT fails</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-01T23:47:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>Add a "ConfigFileFallback.log" file and remove existing error dialog</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-01T23:46:43Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-01T23:43:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Opened</StatusString>
    <TimeStamp>2022-09-01T23:43:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>